### Method

# FwupdPlugin Efivars get_boot_next

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_efivars_get_boot_next (
      FuEfivars* self,
      guint16* idx,
      GError** error
    )

#### Description [src]

Gets the index of the `BootNext` variable.

Available since: 2.0.0

#### Parameters

`idx`

  Type: `guint16*`

  Boot index, typically 0x0001.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.